package com.goafanti.expenseAccount.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutExpenseAccountStatistics {
    private String aid;
    @Excel(name = "报销人员")
    private String aname;
    /**
     * 报销
     */
    @Excel(name = "报销数")
    private Integer bx;
    /**
     * 借支
     */
    @Excel(name = "借支数")
    private Integer jz;
    /**
     * 抵扣
     */
    @Excel(name = "抵扣数")
    private Integer dk;

    /**
     * 抵扣编号
     */
    private Integer debitId;
    /**
     * 目标类型 0=固定费用，1=报销订单
     */
    private Integer targetType;
    @Excel(name = "总金额" ,scale = 0)
    private BigDecimal TotalAmount;
    /**
     * 报销金额
     */
    @Excel(name = "报销金额" ,scale = 0)
    private BigDecimal bxAmount;
    /**
     * 借支金额
     */
    @Excel(name = "借支金额",scale = 0)
    private BigDecimal jzAmount;
    /**
     * 抵扣金额
     */
    @Excel(name = "抵扣金额",scale = 0)
    private BigDecimal dkAmount;

    private BigDecimal bxdkAmount;

    /**
     * 固定费用金额
     */
    @Excel(name = "固定费用金额",scale = 0)
    private BigDecimal gdfyAmount;
    /**
     * 报销订单金额
     */
    @Excel(name = "报销至订单金额" ,scale = 0)
    private BigDecimal bxddAmount;

    /**
     * 未审核数
     */
    @Excel(name = "未审核数")
    private Integer wshs;
    /**
     * 驳回数
     */
    @Excel(name = "驳回数")
    private Integer bhs;



    public OutExpenseAccountStatistics() {
    }

    public OutExpenseAccountStatistics(String aid) {
        this.aid = aid;
        this.bx=0;
        this.jz=0;
        this.dk=0;
        this.bxAmount=new BigDecimal(0);
        this.jzAmount=new BigDecimal(0);
        this.dkAmount=new BigDecimal(0);
        this.TotalAmount=new BigDecimal(0);
        this.gdfyAmount=new BigDecimal(0);
        this.bxddAmount=new BigDecimal(0);
        this.wshs=0;
        this.bhs=0;

    }

    public BigDecimal getBxdkAmount() {
        return bxdkAmount;
    }

    public void setBxdkAmount(BigDecimal bxdkAmount) {
        this.bxdkAmount = bxdkAmount;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    public BigDecimal getTotalAmount() {
        return TotalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        TotalAmount = totalAmount;
    }

    public BigDecimal getGdfyAmount() {
        return gdfyAmount;
    }

    public void setGdfyAmount(BigDecimal gdfyAmount) {
        this.gdfyAmount = gdfyAmount;
    }

    public BigDecimal getBxddAmount() {
        return bxddAmount;
    }

    public void setBxddAmount(BigDecimal bxddAmount) {
        this.bxddAmount = bxddAmount;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getBx() {
        return bx;
    }

    public void setBx(Integer bx) {
        this.bx = bx;
    }

    public Integer getJz() {
        return jz;
    }

    public void setJz(Integer jz) {
        this.jz = jz;
    }

    public Integer getDk() {
        return dk;
    }

    public void setDk(Integer dk) {
        this.dk = dk;
    }

    public Integer getDebitId() {
        return debitId;
    }

    public void setDebitId(Integer debitId) {
        this.debitId = debitId;
    }

    public Integer getTargetType() {
        return targetType;
    }

    public void setTargetType(Integer targetType) {
        this.targetType = targetType;
    }

    public BigDecimal getBxAmount() {
        return bxAmount;
    }

    public void setBxAmount(BigDecimal bxAmount) {
        this.bxAmount = bxAmount;
    }

    public BigDecimal getJzAmount() {
        return jzAmount;
    }

    public void setJzAmount(BigDecimal jzAmount) {
        this.jzAmount = jzAmount;
    }

    public BigDecimal getDkAmount() {
        return dkAmount;
    }

    public void setDkAmount(BigDecimal dkAmount) {
        this.dkAmount = dkAmount;
    }

    public Integer getWshs() {
        return wshs;
    }

    public void setWshs(Integer wshs) {
        this.wshs = wshs;
    }

    public Integer getBhs() {
        return bhs;
    }

    public void setBhs(Integer bhs) {
        this.bhs = bhs;
    }
}
